# F_GET_ANGOLO_ALLESTIMENTO_OB

## Codice Sorgente

```sql
FUNCTION "F_GET_ANGOLO_ALLESTIMENTO_OB" (
    p_filtro VARCHAR2,
    p_id     NUMBER
) RETURN VARCHAR2 
--ANGOLI OPEN BAR
 AS

    TYPE ref_cur IS REF CURSOR;
    c_data   ref_cur;
    v_val    VARCHAR2(1000);
    v_filtro VARCHAR2(100);
    v_id     NUMBER;
BEGIN
    v_filtro := p_filtro;
    v_id := p_id;
    OPEN c_data FOR ' select substr(a.descrizione || '' - '' || p.note ,1,1000)
                        from eventi e
                        left join location l on e.id_location = l.id  
                        join eventi_det_prel p on e.id=p.id_evento  
                        join articoli a on p.cod_articolo=a.cod_articolo 
                        where a.cod_categ = ''AN-FIN''
                          and a.descrizione like :filtro -- AN-GELAT
                          and e.id = to_number(:id)'
        USING v_filtro, v_id;

    FETCH c_data INTO v_val;
    CLOSE c_data;
    RETURN v_val;
END;```
